Loading...
Searching...
No Matches
apr_bucket_brigade Struct Reference
APR Utility Functions » Bucket Brigades

`#include <apr_buckets.h>`

## Public Member Functions

| APR_RING_HEAD (apr_bucket_list, apr_bucket) list

## Data Fields

apr_pool_t * | p
apr_bucket_alloc_t * | bucket_alloc

## Detailed Description

A list of buckets

## Member Function Documentation

## APR_RING_HEAD()

apr_bucket_brigade::APR_RING_HEAD | ( | apr_bucket_list | ,
|  | apr_bucket | )

The buckets in the brigade are on this list.

## Field Documentation

## bucket_alloc

apr_bucket_alloc_t* apr_bucket_brigade::bucket_alloc

The freelist from which this bucket was allocated

## p

apr_pool_t* apr_bucket_brigade::p

The pool to associate the brigade with. The data is not allocated out of the pool, but a cleanup is registered with this pool. If the brigade is destroyed by some mechanism other than pool destruction, the destroying function is responsible for killing the cleanup.

The documentation for this struct was generated from the following file:

- apr_buckets.h